# critsec.h File Reference

`#include <ptlib/psync.h>`

Go to the source code of this file.

## Classes

class | PAtomicBase
class | PAtomicInteger
| This class implements an integer that can be atomically incremented and decremented in a thread-safe manner. More...
class | PAtomicBoolean
| This class implements an atomic "test and set" boolean. More...

## Typedefs

typedef PWaitAndSignal | PEnterAndLeave
| This class implements critical section mutexes using the most efficient mechanism available on the host platform.

## Typedef Documentation

typedef PWaitAndSignal PEnterAndLeave

This class implements critical section mutexes using the most efficient mechanism available on the host platform.

For Windows, CriticalSection is used. On other platforms, pthread_mutex_t is used